# PineAPPL Python wrapper

[PineAPPL](https://n3pdf.github.io/pineappl/) is a computer library that makes it possible to produce fast-interpolation grids for fitting parton distribution functions (PDFs) including corrections of strong and electroweak origin.

This package implements the Python interface to the Rust library.

## Installation

The installation using `pip` is the recommended approach to install PineAPPL.

Make sure you have Python 3.6 or greater, then use `pip` to install PineAPPL with:

```
pip install pineappl
```

The `pip` program will download and install all the required dependencies for the PineAPPL python wrapper.

**Note that** the `pip` packages install just the python wrapper for the Rust PineAPPL library. Before using the python wrapper make sure you have installed the Rust PineAPPL library properly.


## Documentation

The PineAPPL python wrapper documentation is available at [pineappl.readthedocs.io](https://pineappl.readthedocs.io).

## Examples

Please have a look in [examples/python-dy-aa](https://github.com/N3PDF/pineappl/tree/master/examples/python-dy-aa).

